# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(IO/File.pm) perl(Pod/Usage.pm) perl(Term/ReadKey.pm) perl(Term/ReadLine.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-SQL-Shell 
Version:    1.14 
Release:    alt2_13
# lib/SQL/Shell.pm -> GPLv2 (refers to "the GPL", bundled COPYING is GPLv2)
License:    GPLv2
Group:      Development/Perl
Summary:    Command interpreter for DBI shells 
Source:     http://search.cpan.org/CPAN/authors/id/B/BB/BBC/SQL-Shell-%{version}.tar.gz
Url:        http://search.cpan.org/dist/SQL-Shell
BuildArch:  noarch

BuildRequires: perl(DBI.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(IO/CaptureOutput.pm)
BuildRequires: perl(Log/Trace.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(Test/Assertions.pm)
BuildRequires: perl(Test/Assertions/TestScript.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)
BuildRequires: perl(URI/Escape.pm)
BuildRequires: perl(vars.pm)
Source44: import.info

%description
SQL::Shell is a command-interpreter API for building shells and batch
scripts. A command-line interface with readline support is included 
as part of the CPAN distribution. See <SQL::Shell::Manual> for a user
guide. SQL::Shell offers features similar to the mysql or sql*plus
client programs but is database independent.

This package provides the backend SQL::Shell libraries.  For the 
command-line interperter (sqlsh), please also install the sqlsh package.

%package -n sqlsh
License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Command interperter for DBI shells
Requires:   %{name} = %{version}-%{release}
Requires:   perl(IO/Scalar.pm)
Requires:   perl(Term/ReadLine/Gnu.pm)

%description -n sqlsh
sqlsh is a command-interpreter API for building shells and batch
scripts. sqlsh/SQL::Shell offers features similar to the mysql or 
sql*plus client programs but is database independent.

See the SQL::Shell::Manual manpage for a user guide. 

%prep
%setup -q -n SQL-Shell-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc COPYING Changes README 
%{perl_vendor_privlib}/*

%files -n sqlsh
%{_bindir}/sqlsh
%{_mandir}/man1/sqlsh.1*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.14-alt2_13
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.14-alt2_12
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.14-alt2_10
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.14-alt1_10
- fc import

